
QGIS Application - Bug report #11091

Moving SQL Server geodata layer causes crash of OS

2014-08-25 12:35 AM - Filip Mahieu

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.4.0 Regression?: No

Operating System: XP Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19424

Description

When I add a SQL Server geodatalayer in a 2.4-project (even a new project, only with one other layer) and I dare to move that layer to

another position in the TOC, then QGis freezes for a second and then my XP crashes. Things have to be rebooted then.

Does not appear in 2.2.

History

#1 - 2014-08-25 12:40 AM - Filip Mahieu

- File TblMonsternamepunten.sql added

Even with empty SQL-geodatalayer. Example added.

#2 - 2014-08-25 05:44 AM - Filip Mahieu

- % Done changed from 0 to 100

- Status changed from Open to Closed

Seems to be a local problem. Other people here don't have the problem. Could be because I have installed 2.2 also and common used registry causes

problems (suggestion made by collegue)?

Files

TblMonsternamepunten.sql 1.49 KB 2014-08-24 Filip Mahieu
